# EXTTextureSharedExponent (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTTextureSharedExponent

    java.lang.Object
      org.lwjgl.opengl.EXTTextureSharedExponent

    public final class EXTTextureSharedExponent

extends java.lang.Object

Field Summary
`static int` `GL_RGB9_E5_EXT` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT:
`static int` `GL_TEXTURE_SHARED_SIZE_EXT` Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:
`static int` `GL_UNSIGNED_INT_5_9_9_9_REV_EXT` Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RGB9_E5_EXT

    public static final int GL_RGB9_E5_EXT

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT:

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_5_9_9_9_REV_EXT

    public static final int GL_UNSIGNED_INT_5_9_9_9_REV_EXT

  Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

  See Also:
    Constant Field Values

### GL_TEXTURE_SHARED_SIZE_EXT

    public static final int GL_TEXTURE_SHARED_SIZE_EXT

  Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.